Create Password Policy

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given password policy. If the upsert query param is set to truethen, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId

When performing an upsert, the above fields will be used to determine whether the password policy resource already exists. If the password policy already exists, a partial update will be performed; otherwise, a new password policy entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
password-policy:writeApplicationThe subject can create password policies under the application that the subject belongs to.
TenantThe subject can create password policies for the tenant the subject belongs to.
Tenant Inclusion ListThe subject can create password policies for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create password policies for tenants in the subject's application who are not on the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Password policy JSON object

Password Policy

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

integer
8 to 64

[Required on Create] The minimum number of characters required for a password to be valid.

boolean
Defaults to false

Boolean indicating whether the password is required to have at least 1 lowercase character (a-z).

boolean
Defaults to false

Boolean indicating whether the password is required to have at least 1 uppercase character (A-Z).

boolean
Defaults to false

Boolean indicating whether the password is required to have at least 1 digit (0-9).

boolean
Defaults to false

Boolean indicating whether the password is required to have at least 1 special character (!"#$%&'()*+,-./:;<=>?@[]^_`{|}~).

boolean
Defaults to false

Boolean indicating whether breached password detection is enabled.

string
enum
Defaults to NONE

The remediation strategy that will be used when a breached password is detected on login. Note, in order for the
remediation strategy to be applied breachedPwdDetectionEnabled must be set to true

Supported Strategies:

  • NONE: No remediation strategy will be applied.
  • REQUIRE_PASSWORD_RESET: The user will be required to reset their password.
Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json